## 1.4.2.tar.gz

=== Makefile ===
PREFIX := /usr

USE_SYSTEMD ?= 1
USE_DBUS_ACTIVATION ?= 1
USE_NFTABLES ?= 0

WAYDROID_DIR := $(PREFIX)/lib/waydroid
BIN_DIR := $(PREFIX)/bin
APPS_DIR := $(PREFIX)/share/applications
APPS_DIRECTORY_DIR := $(PREFIX)/share/desktop-directories
APPS_MENU_DIR := /etc/xdg/menus/applications-merged
METAINFO_DIR := $(PREFIX)/share/metainfo
ICONS_DIR := $(PREFIX)/share/icons
SYSD_DIR := $(PREFIX)/lib/systemd/system
DBUS_DIR := $(PREFIX)/share/dbus-1
POLKIT_DIR := $(PREFIX)/share/polkit-1
APPARMOR_DIR := /etc/apparmor.d

INSTALL_WAYDROID_DIR := $(DESTDIR)$(WAYDROID_DIR)
INSTALL_BIN_DIR := $(DESTDIR)$(BIN_DIR)
INSTALL_APPS_DIR := $(DESTDIR)$(APPS_DIR)
INSTALL_APPS_DIRECTORY_DIR := $(DESTDIR)$(APPS_DIRECTORY_DIR)
INSTALL_APPS_MENU_DIR := $(DESTDIR)$(APPS_MENU_DIR)
INSTALL_METAINFO_DIR := $(DESTDIR)$(METAINFO_DIR)
INSTALL_ICONS_DIR := $(DESTDIR)$(ICONS_DIR)
INSTALL_SYSD_DIR := $(DESTDIR)$(SYSD_DIR)
INSTALL_DBUS_DIR := $(DESTDIR)$(DBUS_DIR)
INSTALL_POLKIT_DIR := $(DESTDIR)$(POLKIT_DIR)
INSTALL_APPARMOR_DIR := $(DESTDIR)$(APPARMOR_DIR)

build:
	@echo "Nothing to build, run 'make install' to copy the files!"

install:
	install -d $(INSTALL_WAYDROID_DIR) $(INSTALL_BIN_DIR) $(INSTALL_DBUS_DIR)/system.d $(INSTALL_POLKIT_DIR)/actions
	install -d $(INSTALL_APPS_DIR) $(INSTALL_METAINFO_DIR) $(INSTALL_ICONS_DIR)/hicolor/512x512/apps
	install -d $(INSTALL_APPS_DIRECTORY_DIR) $(INSTALL_APPS_MENU_DIR)
	cp -a data tools waydroid.py $(INSTALL_WAYDROID_DIR)
	ln -sf $(WAYDROID_DIR)/waydroid.py $(INSTALL_BIN_DIR)/waydroid
	mv $(INSTALL_WAYDROID_DIR)/data/AppIcon.png $(INSTALL_ICONS_DIR)/hicolor/512x512/apps/waydroid.png
	mv $(INSTALL_WAYDROID_DIR)/data/*.desktop $(INSTALL_APPS_DIR)
	mv $(INSTALL_WAYDROID_DIR)/data/*.menu $(INSTALL_APPS_MENU_DIR)
	mv $(INSTALL_WAYDROID_DIR)/data/*.directory $(INSTALL_APPS_DIRECTORY_DIR)
	mv $(INSTALL_WAYDROID_DIR)/data/*.metainfo.xml $(INSTALL_METAINFO_DIR)
	cp dbus/id.waydro.Container.conf $(INSTALL_DBUS_DIR)/system.d/
	cp dbus/id.waydro.Container.policy $(INSTALL_POLKIT_DIR)/actions/
	if [ $(USE_DBUS_ACTIVATION) = 1 ]; then \
		install -d $(INSTALL_DBUS_DIR)/system-services; \
		cp dbus/id.waydro.Container.service $(INSTALL_DBUS_DIR)/system-services/; \
	fi
	if [ $(USE_SYSTEMD) = 1 ]; then \
		install -d $(INSTALL_SYSD_DIR); \
		cp systemd/waydroid-container.service $(INSTALL_SYSD_DIR); \
	fi
	if [ $(USE_NFTABLES) = 1 ]; then \
		sed '/LXC_USE_NFT=/ s/false/true/' -i $(INSTALL_WAYDROID_DIR)/data/scripts/waydroid-net.sh; \
	fi

install_apparmor:
	install -d $(INSTALL_APPARMOR_DIR) $(INSTALL_APPARMOR_DIR)/lxc
	mkdir -p $(INSTALL_APPARMOR_DIR)/local/
	touch $(INSTALL_APPARMOR_DIR)/local/adbd
	touch $(INSTALL_APPARMOR_DIR)/local/android_app
	touch $(INSTALL_APPARMOR_DIR)/local/lxc-waydroid
	cp -f data/configs/apparmor_profiles/adbd $(INSTALL_APPARMOR_DIR)/adbd
	cp -f data/configs/apparmor_profiles/android_app $(INSTALL_APPARMOR_DIR)/android_app
	cp -f data/configs/apparmor_profiles/lxc-waydroid $(INSTALL_APPARMOR_DIR)/lxc/lxc-waydroid
	# Load the profiles if not just packaging
	if [ -z $(DESTDIR) ] && { aa-enabled --quiet || systemctl is-active -q apparmor; } 2>/dev/null; then \
		apparmor_parser -r -T -W "$(INSTALL_APPARMOR_DIR)/adbd"; \
		apparmor_parser -r -T -W "$(INSTALL_APPARMOR_DIR)/android_app"; \
		apparmor_parser -r -T -W "$(INSTALL_APPARMOR_DIR)/lxc/lxc-waydroid"; \
	fi

=== debian/changelog ===
waydroid (1.4.2) bullseye; urgency=medium

  * Allow running a shell command as an arbitrary user and group and with an arbitrary security context (#996)
  * IHardware: Add new upgrade transaction capable of 64-bit timestamps
  * interfaces: Return binder error when receiving an unknown transaction
  * clipboard: change warning message to be less misleading
  * container_manager: Keep schedtune cgroup around in case nesting is supported
  * Allow local amendments to the AppArmor policy
  * Fix issues with AppStream metadata
  * Add iptables as Debian dependency
  * user_manager: Respect user umask
  * user_manager: Add icon to the app_settings action
  * lxc: Recursively mount vendor_extra
  * hardware_manager: Validate upgrade zips against the saved ota channel
  * Block the "open_by_handle_at" system call
  * Add an XDG menu directory (#1149)
  * Upver to 1.4.2

 -- Alessandro Astone <ales.astone@gmail.com>  Tue, 31 Oct 2023 15:54:09 +0000

waydroid (1.4.1) bullseye; urgency=medium

  * CI: Add ubuntu lunar
  * Add App Settings to .desktop file
  * Add X-WayDroid-App category to WayDroid desktop files (#810)
  * All AppArmor profiles have been switched to the "enforce" mode.
  * .desktop files should not be executable (#815)
  * Revert "All AppArmor profiles have been switched to the "enforce" mode."
  * Add missing environment variable BOOTCLASSPATH to waydroid shell
  * user_manager: Do not crash when install applications during boot
  * Create CODE_OF_CONDUCT.md
  * Add device IP address to status, auto adb connect
  * lxc: Add /dev/tty
  * Upver to 1.4.1

 -- Alessandro Astone <ales.astone@gmail.com>  Mon, 24 Apr 2023 11:54:54 +0000

waydroid (1.4.0) bullseye; urgency=medium

  * lxc: Fixup apparmor detection
  * lxc: Allow shell and logcat from frozen
  * initializer: Move triggers to dbus
  * Move session IPC to dbus
  * Makefile: Install dbus service
  * app_manager: Allow install/remove/list while frozen
  * tools: Remove umask 0
  * initializer: Require admin authentication for remote initialization with custom channels
  * lxc: Workaround against lxc changing logfile permissions
  * tools: Allow prop commands while frozen
  * Fix prop set command
  * gpu: Also mount card node
  * helpers/mount: Check for failed umounts only umounting the whole list
  * helpers/mount: Allow to specify explicit mount type and options
  * helpers/mount: Add an option to mount even if mount point already exists
  * Mount overlays on top of image mount points
  * Remove RW image overlay when upgrading images
  * Make overlays opt-out
  * Make session more resilient to start failures
  * session: Add strict WAYLAND_DISPLAY validity checks
  * debian: Unify waydroid.postinst indentation
  * props: Drop unneeded ';' from end of return line
  * lxc: Only add /dev/ashmem to config_nodes when it exists
  * container: Make "waydroid-net.sh start" failure fatal
  * net: Don't fail start when already running
  * container: Allow stopping without killing the session deamon
  * Use `command -v` instead of `which`
  * mount: Only disable overlayfs xino on kernels that support it
  * version: Don't fail when uname contains only two numbers
  * session: Dump the full exception to log file when failed to start
  * version: Fix "NameError: name 're' is not defined"
  * lxc: Attach with proper environment
  * security: Verify session user_id against DBus connection
  * session: Also log dbus connection exceptions
  * fixup! security: Verify session user_id against DBus connection
  * lxc: Create session-specific mount entries (Closes: #704)
  * upgrade: Restart container through DBus
  * upgrade: Drop more privileges during 1.4.0 migration
  * upgrade: Fallback to stopping container manually
  * upgrade: Remove session.cfg during 1.4.0 migration
  * security: Verify session pid against DBus connection
  * container_manager: Mount rootfs last
  * lxc: Improve session config error message
  * container: Extend nfcd stop/start hacks to systemd
  * app_manager: Fix IPlatform error logging
  * interfaces: Fix ServiceManager race condition in clients
  * session: Provide waydroid.background_start bool
  * Add apk mimetype handler
  * user_manager: Fix app removal
  * session: Provide waydroid.host_data_path prop
  * images: Cleanup Waydroid Updater zips after extracting
  * interfaces: Remove presence handler after use
  * packaging: install icons to xdg icons resource path, and get the .desktop file to use relative icon name
  * Disable overlays if mounting fails once
  * lxc: Handle lxc-info failure
  * initializer: Restart container through DBus
  * arch: Fallback to arm on weird arm64 kernels with 32-bit userspace
  * Update appstream
  * Update github issue template
  * Fix last hardcoded direct usages of AppIcon.png
  * waydroid.app.install.desktop: Don't hardcode waydroid binary path
  * Add developer_name to appstream metadata
  * Upver to 1.4.0

 -- Alessandro Astone <ales.astone@gmail.com>  Wed, 08 Feb 2023 16:30:33 +0000

waydroid (1.3.4) bullseye; urgency=medium

  * Remove CAP_SYS_MODULE from the capability bounding set.
  * Mount proc with the hidepid=2 option
  * Enable OpenGL ES 3.1
  * hardware-manager: Optionally stop the session on suspend
  * desktop: Mark as compatible with mobile form factor
  * Adding AppArmor profiles for the container.
  * Temporarily switching all profiles to "complain" mode in order to work out policy mistakes.
  * Policies have been adjusted for Android 11.
  * AppArmor policy setup has been moved to the Makefile
  * * Makefile adjustments * AppArmor profile texts have been moved into a dedicated directory
  * Makefile: Install apparmor dir
  * Makefile: Don't enable the apparmor profiles if packaging
  * debian: Install apparmor profiles
  * Also support SUSE apparmor
  * Change apparmor profile at runtime
  * lxc: Only enable apparmor if the profile is currently loaded
  * Update README.md
  * apparmor: Remove unnecessary includes


=== debian/control ===
Source: waydroid
Maintainer: Erfan Abdi <erfangplus@gmail.com>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               dh-apparmor
Standards-Version: 4.5.0.3
Vcs-Browser: https://github.com/waydroid/waydroid
Vcs-Git: https://github.com/waydroid/waydroid.git

Package: waydroid
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         lxc,
         python3-gbinder,
         python3-gi,
         gir1.2-gtk-3.0,
         python3-dbus,
         dbus,
         policykit-1,
	 iptables
Description: Android™ application support
 waydroid allows running a separate Android™ environment
 confined to a LXC container.
